local function beltplanner_entity(type)
    return {
        type = "simple-entity",
        name = "beltplanner-"..type,
        flags = {"placeable-player", "player-creation"},
        icon = "__beltplanner__/graphics/beltplanner-"..type..".png",
        collision_box = {{-.45, -.45}, {.45, .45}},
        selection_box = {{-.5, -.5}, {.5, .5}},
        max_health = 0,
        pictures =
        {
            {
                filename = "__beltplanner__/graphics/beltplanner-"..type..".png",
                width = 32,
                height = 32,
            },
        },
        render_layer = "floor",
        minable =
        {
            mining_time = 1,
            hardness = .5,
            result = "beltplanner-"..type,
        },
    }
end

data:extend({
    beltplanner_entity("basic"),
    beltplanner_entity("fast"),
    beltplanner_entity("express"),
    beltplanner_entity("end"),
    beltplanner_entity("config"),
})

--meh
table.insert(data.raw["simple-entity"]["beltplanner-config"].flags, "placeable-off-grid")
data.raw["simple-entity"]["beltplanner-config"].collision_box = nil
